zbyszek / rpms / grub2

Forked from rpms/grub2 5 years ago
Clone
31004e6
From 94e54563a91a631e83b4e504adec11c8841d8860 Mon Sep 17 00:00:00 2001
31004e6
From: Vladimir 'phcoder' Serbinenko <phcoder@gmail.com>
31004e6
Date: Fri, 26 Apr 2013 19:09:55 +0200
f74b50e
Subject: [PATCH 356/482] 	* tests/pseries_test.in: New test.
31004e6
31004e6
---
31004e6
 ChangeLog             |  4 ++++
31004e6
 tests/pseries_test.in | 37 +++++++++++++++++++++++++++++++++++++
31004e6
 2 files changed, 41 insertions(+)
31004e6
 create mode 100644 tests/pseries_test.in
31004e6
31004e6
diff --git a/ChangeLog b/ChangeLog
31004e6
index 19a1cf6..5ddb7a8 100644
31004e6
--- a/ChangeLog
31004e6
+++ b/ChangeLog
31004e6
@@ -1,5 +1,9 @@
31004e6
 2013-04-26  Vladimir Serbinenko  <phcoder@gmail.com>
31004e6
 
31004e6
+	* tests/pseries_test.in: New test.
31004e6
+
31004e6
+2013-04-26  Vladimir Serbinenko  <phcoder@gmail.com>
31004e6
+
31004e6
 	Add test to check that different boot mediums work.
31004e6
 
31004e6
 2013-04-26  Vladimir Serbinenko  <phcoder@gmail.com>
31004e6
diff --git a/tests/pseries_test.in b/tests/pseries_test.in
31004e6
new file mode 100644
31004e6
index 0000000..86a396a
31004e6
--- /dev/null
31004e6
+++ b/tests/pseries_test.in
31004e6
@@ -0,0 +1,37 @@
31004e6
+#! /bin/sh
31004e6
+# Copyright (C) 2013  Free Software Foundation, Inc.
31004e6
+#
31004e6
+# GRUB is free software: you can redistribute it and/or modify
31004e6
+# it under the terms of the GNU General Public License as published by
31004e6
+# the Free Software Foundation, either version 3 of the License, or
31004e6
+# (at your option) any later version.
31004e6
+#
31004e6
+# GRUB is distributed in the hope that it will be useful,
31004e6
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
31004e6
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
31004e6
+# GNU General Public License for more details.
31004e6
+#
31004e6
+# You should have received a copy of the GNU General Public License
31004e6
+# along with GRUB.  If not, see <http://www.gnu.org/licenses/>.
31004e6
+
31004e6
+set -e
31004e6
+grubshell=@builddir@/grub-shell
31004e6
+
31004e6
+. "@builddir@/grub-core/modinfo.sh"
31004e6
+
31004e6
+if [ "${grub_modinfo_target_cpu}-${grub_modinfo_platform}" != powerpc-ieee1275 ]; then
31004e6
+   exit 0
31004e6
+fi
31004e6
+
31004e6
+if [ "$(echo hello | "${grubshell}" --pseries --timeout 180 --boot=cd)" != "Hello World" ]; then
31004e6
+   exit 1
31004e6
+fi
31004e6
+
31004e6
+if [ "$(echo hello | "${grubshell}" --pseries --timeout 180 --boot=hd)" != "Hello World" ]; then
31004e6
+   exit 1
31004e6
+fi
31004e6
+
31004e6
+# FIXME: workaround SLOF bugs
31004e6
+#if [ "$(echo hello | "${grubshell}" --pseries --timeout 180 --boot=net)" != "Hello World" ]; then
31004e6
+#   exit 1
31004e6
+#fi
31004e6
-- 
31004e6
1.8.2.1
31004e6